*, *::after, *::before {
    box-sizing: border-box;
    font-family: sans-serif;
}

body {
    background: linear-gradient(to right, #00AAFF, #00FF6C);
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    overflow: hidden;
    animation: gradient-animation 10s ease infinite;
    background-size: 200% 200%;
}

@keyframes gradient-animation {
    0% { background-position: 0% 50%; }
    50% { background-position: 100% 50%; }
    100% { background-position: 0% 50%; }
}

.clock {
    width: 300px;
    height: 300px;
    background-color: rgba(255, 255, 255, .8);
    border-radius: 50%;
    border: 2px solid black;
    position: relative;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.2);
    transition: box-shadow 0.3s ease;
}

.clock:hover {
    box-shadow: 0 0 40px rgba(0, 0, 0, 0.4);
}

.clock .number {
    --rotation: 0;
    position: absolute;
    width: 100%;
    height: 100%;
    text-align: center;
    transform: rotate(var(--rotation));
    font-size: 1.5rem;
}

.number1 { --rotation: 30deg; }
.number2 { --rotation: 60deg; }
.number3 { --rotation: 90deg; }
.number4 { --rotation: 120deg; }
.number5 { --rotation: 150deg; }
.number6 { --rotation: 180deg; }
.number7 { --rotation: 210deg; }
.number8 { --rotation: 240deg; }
.number9 { --rotation: 270deg; }
.number10 { --rotation: 300deg; }
.number11 { --rotation: 330deg; }

.clock .hand {
    --rotation: 0;
    position: absolute;
    bottom: 50%;
    left: 50%;
    border: 1px solid white;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    transform-origin: bottom;
    z-index: 10;
    transform: translateX(-50%) rotate(calc(var(--rotation) * 1deg));
    transition: transform 0.05s cubic-bezier(0.1, 2.7, 0.58, 1);
}

.clock::after {
    content: '';
    position: absolute;
    background-color: black;
    z-index: 11;
    width: 15px;
    height: 15px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    border-radius: 50%;
}

.clock .hand.second {
    width: 3px;
    height: 45%;
    background-color: red;
}

.clock .hand.minute {
    width: 7px;
    height: 40%;
    background-color: black;
}

.clock .hand.hour {
    width: 10px;
    height: 35%;
    background-color: black;
}